Package org.apache.storm.metricstore

## Class NimbusMetricProcessor

- java.lang.Object
- - org.apache.storm.metricstore.NimbusMetricProcessor

- All Implemented Interfaces:
    `WorkerMetricsProcessor`

      public class NimbusMetricProcessor
      extends Object
      implements WorkerMetricsProcessor

  Implementation of WorkerMetricsProcessor that sends metric data to Nimbus for processing.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `NimbusMetricProcessor()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `prepare​(Map<String,​Object> config)` | Prepares the metric processor.
    `void` | `processWorkerMetrics​(Map<String,​Object> conf, WorkerMetrics metrics)` | Process insertion of worker metrics.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NimbusMetricProcessor

          public NimbusMetricProcessor()

  - ### Method Detail

    - #### processWorkerMetrics

          public void processWorkerMetrics​(Map<String,​Object> conf,
                                           WorkerMetrics metrics)
                                    throws MetricException

      Description copied from interface: `WorkerMetricsProcessor`
      Process insertion of worker metrics. The implementation should be thread-safe.
      Specified by:
        `processWorkerMetrics` in interface `WorkerMetricsProcessor`
      Parameters:
        `conf` - the supervisor config
        `metrics` - the metrics to process
      Throws:
        `MetricException` - on error

    - #### prepare

          public void prepare​(Map<String,​Object> config)
                       throws MetricException

      Description copied from interface: `WorkerMetricsProcessor`
      Prepares the metric processor.
      Specified by:
        `prepare` in interface `WorkerMetricsProcessor`
      Parameters:
        `config` - Storm config map
      Throws:
        `MetricException` - on error